Stealth Updates and Unstable LSI Drivers

(Just FYI to everyone out there, since this is not easy to find right now.)

If you’re seeing this message:

mpt2sas0: log_info (0x31080000): original (PL), code (0x08), sub_code (0x0000)

Then you need to visit http://mycusthelp.info/LSI/_cs/AnswerDetail.aspx?&inc=8484

The short answer: Avago Tech (which acquired LSI in 2014) performed a stealth update to the P20 driver .zip artifacts on 21-MAY-2015. Re-download the P20 .zip that contains the firmware (the xxxx_P20_IR_IT_Firmware_BIOS_for_MSDOS_Windows downloads contain the firmware .bin file), and upgrade your LSI firmware to the 20.00.04.00 version. Sadly, neither the .zip nor the .bin are named that way.

As related to the third item from , this is clearly a failure in dependency resolution, and why correctly labeling artifacts with versions is critical.

This entry was posted in Ubuntu. Bookmark the permalink.

Comments are closed.